org.firebirdsql.gds.impl

## Class BlobParameterBufferImp

- java.lang.Object
- - org.firebirdsql.gds.impl.ParameterBufferBase
  - - org.firebirdsql.gds.impl.BlobParameterBufferImp

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Iterable<Parameter>, BlobParameterBuffer, ParameterBuffer

      public class BlobParameterBufferImp
      extends ParameterBufferBase
      implements BlobParameterBuffer

  Implementation of BlobParameterBuffer.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.firebirdsql.gds.BlobParameterBuffer

      `FILTER_PARAMETER, SOURCE_INTERP, SOURCE_TYPE, TARGET_INTERP, TARGET_TYPE, TYPE, TYPE_SEGMENTED, TYPE_STREAM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlobParameterBufferImp()`

  - ### Method Summary

    - ### Methods inherited from class org.firebirdsql.gds.impl.ParameterBufferBase

      `addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, equals, getArgumentAsInt, getArgumentAsString, getArgumentsList, getDefaultEncoding, getLength, getParameterBufferMetaData, getType, hasArgument, hashCode, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.firebirdsql.gds.BlobParameterBuffer

      `addArgument, addArgument, addArgument`

    - ### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

      `addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### BlobParameterBufferImp

          public BlobParameterBufferImp()

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.